package com.realnet.stepperform.Services;
import com.realnet.stepperform.Repository.Stepper_headerRepository;
import com.realnet.stepperform.Entity.Stepper_header
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






















	import org.springframework.stereotype.Service;

@Service
 public class Stepper_headerService {
@Autowired
private Stepper_headerRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





















public Stepper_header Savedata(Stepper_header data) {






















	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Stepper_header save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Stepper_header> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Stepper_header> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Stepper_header> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Stepper_header getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Stepper_header update(Stepper_header data,Integer id) {
	Stepper_header old = Repository.findById(id).get();
old.setTechstack(data.getTechstack());

old.setDescription(data.getDescription());

old.setIs_active (data.isIs_active());

old.setObject_type(data.getObject_type());

old.setSub_object_type(data.getSub_object_type());

old.setBuild (data.isBuild());

old.setTesting (data.isTesting());

old.setStepper_name(data.getStepper_name());

old.setModule_id(data.getModule_id());

old.setBackend_id(data.getBackend_id());

old.setPackage_name(data.getPackage_name());

final Stepper_header test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






















 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
